# Pandoc-Suite and BibTeX-Zotero-Citation-Picker for Academic Writing in Markdown

---

⚠️ Since I changed my workflow substantially, this workflow will not be actively maintained anymore. The latest release still works and will most likely continue to work for the foreseeable future.

I am [continuing development of the citation picker part here](https://github.com/chrisgrieser/alfred-bibtex-citation-picker). For the pandoc conversion, I can recommend [DocDown](https://github.com/lowercasename/docdown) as an easy-to-use alternative.

---

![](https://img.shields.io/github/downloads/chrisgrieser/pandoc_alfred/total?label=Total%20Downloads&style=plastic)  ![](https://img.shields.io/github/v/release/chrisgrieser/pandoc_alfred?label=Latest%20Release&style=plastic)

## What it does
This Alfred workflow enables academic citing and publishing with any markdown app. It does so by offering a **Citation Picker** for [Pandoc Markdown Citations](https://pandoc.org/MANUAL.html#pandocs-markdown) and by easily **converting Markdown files** into `.docx`, `.pdf`, `.html`, `.odt`, or `.pptx` with the proper bibliography.

This workflow is made for academics who neither like Word nor LaTeX. As the name suggests, this workflow is basically a user-friendly interface for Pandoc, allowing you to make use of Pandoc's capabilities without ever having to open the Terminal.

The workflow otherwise also features some useful auxiliary functions, like for example "anticipatory word count", i.e.  number of words that your bibliography will have after the conversion (markdown apps cannot calculate the word count of the bibliography as it hasn't been created yet).

## Download
➡️ [Latest Release on GitHub](https://github.com/chrisgrieser/pandoc_alfred/releases)

➡️ [Complete Usage & Installation Guide](https://chris-grieser.de/pandoc_alfred)

## Screenshots

<img src="https://i.imgur.com/hBkN8e3.png" alt="Conversion" width=50% height=50%>

<img src="https://i.imgur.com/XuSfGov.png" alt="Zotero Citation Picker" width=50% height=50%>

<img width=50% height=50% alt="Screenshot 2021-09-09 22 08 42" src="https://user-images.githubusercontent.com/73286100/132755578-cce9892e-d3c0-4ba3-9666-4649d8b96202.png">

## Credits

### Donations
Are much appreciated via [PayPal](https://www.paypal.com/paypalme/ChrisGrieser) or [Ko-Fi](https://ko-fi.com/pseudometa) 🙏

### About the Author
This workflow has been created by [@pseudo_meta (Twitter)](https://twitter.com/pseudo_meta) aka Chris Grieser (rl). In my day job, I am a PhD student in sociology, studying the governance of the app economy. If you are interested in this subject, check out [my academic homepage](https://chris-grieser.de/) and get in touch.
